import EuiBasePage from '../eui-base.po.js'
import CoUxFieldset from '../../../../components/10x/ux/ux-fieldset.js'

export default class FieldsetPage extends EuiBasePage {
  constructor() {
      super();
  }
  fieldsetByIndex(index) {
    let fieldset1 =  new CoUxFieldset(this.mainContent);
    return fieldset1.byIndex(index);
  }
  fieldsetByTextContains(text) {
    let fieldset1 = new CoUxFieldset(this.mainContent);
    return fieldset1.byTextContains(text);
  }
  fieldsetByTextEqualsAndIndex(text, index, normalize=true) {
    let fieldset1 = new CoUxFieldset(this.mainContent);
    return fieldset1.byTextEqualsAndIndex(text, index, normalize);
  }
  fieldsetFromSectionById(id) {
    return new CoUxFieldset(this.sectionById(id));
  }
  fieldsetFromSectionWithIdByIndex(id, index) {
    let fieldset1 = new CoUxFieldset(this.sectionById(id));
    return fieldset1.byIndex(index);
  }
}


